#
Summary: This configures logwatch to use df -h -l instead of just df -h. 
Name: zz_logwatch_df
Version: 1.1
Release: 2
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Troy Dawson
requires: logwatch
BuildArch: noarch
%description

By default logwatch does a df -h when looking at disk usage.  This can be
unwanted if you have alot of NFS mounted disks.  This rpm changes that 
command to be df -lP -h, which looks at local disks only, and the output is
in the POSIX output format.

%files
%post
%pre
if [ "$1" -ge "2" ] ; then
	#
	# This modifies /etc/log.d/scripts/services/zz-disk_space to make it back to normal if we had the old zz on
	#
	cat /etc/log.d/scripts/services/zz-disk_space | sed "s:df -l -h:df -h:"  > /etc/log.d/scripts/services/zz-disk_space.tmp
	mv -f /etc/log.d/scripts/services/zz-disk_space.tmp /etc/log.d/scripts/services/zz-disk_space
fi

%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies /etc/log.d/scripts/services/zz-disk_space to make it back to normal
	#
	cat /etc/log.d/scripts/services/zz-disk_space | sed -e 's/df -lP \(-[kh]\)/df \1/'  > /etc/log.d/scripts/services/zz-disk_space.tmp
	mv -f /etc/log.d/scripts/services/zz-disk_space.tmp /etc/log.d/scripts/services/zz-disk_space
fi

%triggerin -- logwatch
cat /etc/log.d/scripts/services/zz-disk_space | sed -e 's/df \(-[kh]\)/df -lP \1/' > /etc/log.d/scripts/services/zz-disk_space.tmp
mv -f /etc/log.d/scripts/services/zz-disk_space.tmp /etc/log.d/scripts/services/zz-disk_space
chmod +x /etc/log.d/scripts/services/zz-disk_space
